ANNIE1-mechanical-design - Task #11092

Finish design of PMT holders
12/06/2015 12:06 PM - Matthew Wetstein

Status: New Start date: 12/06/2015
Priority: Normal Due date: 12/22/2015
Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

History

#1 - 12/18/2015 09:26 AM - Matthew Wetstein
- % Done changed from 0 to 40

#2 - 01/12/2016 02:32 AM - Matthew Wetstein
- % Done changed from 40 to 60

#3 - 01/18/2016 12:22 PM - Matthew Wetstein
- % Done changed from 60 to 80

#4 - 01/22/2016 08:51 AM - Matthew Wetstein
- % Done changed from 80 to 100
